<?php
function dirSize($dir){
	$dir_size = 0;
	
	if($dir_handle = @opendir($dir)){
		while( $filename = readdir($dir_handle)){
			if($filename != '.' && $filename != '..'){
				$subFile = $dir.'/'.$filename;
				if(is_dir($subFile)){
					$dir_size += dirSize($subFile);
					}
				if(is_file($subFile)){
					$dir_size += filesize($subFile);
				}
			}
		}
		closedir($dir_handle);
		return $dir_size;
	}
}

function sizeZh($size){
if($size >= pow(2,40)){
		$return = round($size / pow(1024,4),2);
		$suffix = 'TB';
	}elseif($size >= pow(2,30)){
		$return = round($size / pow(1024,3),2);
		$suffix = 'GB';
	}elseif($size >= pow(2,20)){
		$return = round($size / pow(1024,2),2);
		$suffix = 'MB';
	}elseif($size >= pow(2,10)){
		$return = round($size / pow(1024,1),2);
		$suffix = 'KB';
	}else{
		$return = $size;
		$suffix = 'Byte';
	}
   return $return.' '.$suffix;
}

function delDir($dir){
	if(is_file($dir)){
	if($dir_handle = @opendir($dir)){
		while( $filename = readdir($dir_handle)){
			if($filename != '.' && $filename != '..'){
				$subFile = $dir.'/'.$filename;
				if(is_dir($subFile)){
					delDir($subFlie);
					}
				if(is_file($subFile)){
					unlink($subFile);
				}
			}
		}
		closedir($dir_handle);
		rmdir($dir);
		}
	}
}
?>